FFMSINDEX(1)

NAME
ffmsindex - FFmpegSource2 indexing app

SYNOPOSIS
ffmsindex [OPTIONS] INPUTFILE [OUTPUTFILE]

DESCRIPTION

ffmsindex creates an index file for the given INPUTFILE. If not OUTPUFILE is given, INPUTFILE.ffindex is used as output file.

-f  Force overwriting of existing index file, if any (default: no)

-v  Set FFmpeg verbosity level. Can be repeated for more verbosity. (default: no messages printed)

-p  Disable progress reporting. (default: progress reporting on)

-c  Write timecodes for all video tracks to outputfile_track00.tc.txt (default: no)

-k  Write keyframes for all video tracks to outputfile_track00.kf.txt (default: no)

-t N
    Set the audio indexing mask to N (-1 means index all tracks, 0 means index none, default: 0)

-d N
    Set the audio decoding mask to N (mask syntax same as -t, default: 0)

-a NAME
    Set the audio output base filename to NAME (default: input filename)

-s N
    Set audio decoding error handling. See the documentation for details. (default: 0)

-m NAME
    Force the use of demuxer NAME (default, lavf, matroska, haalimpeg, haaliogg)

AUTHOR
This manpage was written by Sebastian Ramacher.